# 时间
TIME=$(date +"%Y-%m-%d %T")
# webhook地址
api="https://qyapi.weixin.qq.com/cgi-bin/webhook/send?key=a9a79936-bbbb-4a20-a40e-c0bc01a83e8c"
# 参数
data=$(printf '{"msgtype": "markdown","markdown": {"content": "**推送通知**\n- 项目：%s\n- 环境：%s\n- 状态：执行完成\n- 时间：%s"}}' "$1" "$2" "$TIME")
# 发送webhook请求
curl -X POST -H "Content-Type: application/json" -d "$data" "$api" # 使用 curl 命令向 webhook 地址发送请求
# 处理响应结果
if [ $? -eq 0 ]; then # 判断请求是否成功
  echo "请求成功" # 打印请求成功
else
  echo "请求失败" # 打印请求失败
fi
